## wmmisc 0.9

=== Makefile ===
all:
	make -C src all

install:
	make -C src install

clean:
	make -C src clean
