=== src/Makefile ===
include general.mk

#CPPFLAGS   += -DUSE_MTRACE

LDFLAGS    := -L/usr/X11R6/lib
libs        = -lm -lXpm -lXext -lX11

objects     = wmgeneral.o     \
	      dockapp_draw.o  \
	      dockapp_utils.o \
	      dockapp_main.o

headers     = wmgeneral.h     \
	      dockapp_draw.h  \
	      dockapp_utils.h \
	      dockapp_main.h

sources     = wmgeneral.c     \
	      dockapp_draw.c  \
	      dockapp_utils.c \
	      dockapp_main.c

package     = wmmisc
prefix      = /usr/X11R6
bindir      = $(prefix)/bin

all: $(package)

yourself: all # I like Incubus, don't you?

$(package): $(objects)
	rm -f $(package)
	$(CC) -o $(package) $(objects) $(LDFLAGS) $(libs)
	strip $(package)
	ls -l $(package)
	size $(package)

wmgeneral.o: wmgeneral.c wmgeneral.h
	rm -f wmgeneral.o
	$(CC) $(CPPFLAGS) $(INCLUDES) $(CFLAGS) -c -o wmgeneral.o wmgeneral.c

dockapp_draw.o: dockapp_draw.c wmgeneral.h dockapp_draw.h
	rm -f dockapp_draw.o
	$(CC) $(CPPFLAGS) $(INCLUDES) $(CFLAGS) -c -o dockapp_draw.o dockapp_draw.c

dockapp_utils.o: dockapp_utils.c wmgeneral.h dockapp_draw.h dockapp_utils.h
	rm -f dockapp_utils.o
	$(CC) $(CPPFLAGS) $(INCLUDES) $(CFLAGS) -c -o dockapp_utils.o dockapp_utils.c

dockapp_main.o: dockapp_main.c wmgeneral.h dockapp_draw.h dockapp_utils.h dockapp_main.h
	rm -f dockapp_main.o
	$(CC) $(CPPFLAGS) $(INCLUDES) $(CFLAGS) -c -o dockapp_main.o dockapp_main.c

install:
	install -c -s -o root -g root -m 755 $(package) $(bindir)

uninstall:
	rm -f $(bindir)/$(package)

clean:
	rm -f $(package) $(objects) *~ core core.* gmon.out

iclean:
	rm -f *~

indent:
	@for srcf in $(sources) $(headers); do \
		echo "$(INDENT) $(INDENTFLAGS) $$srcf"; \
		$(INDENT) $(INDENTFLAGS) $$srcf; \
	done
	@make iclean
