## wmmisc 1.1

=== src/Makefile ===
--- 
+++ 
@@ -1,9 +1,6 @@
 include general.mk
 
 #CPPFLAGS   += -DUSE_MTRACE
-
-LDFLAGS    := -L/usr/X11R6/lib
-libs        = -lm -lXpm -lXext -lX11
 
 objects     = wmgeneral.o     \
 	      dockapp_draw.o  \
@@ -21,19 +18,12 @@
 	      dockapp_main.c
 
 package     = wmmisc
-prefix      = /usr/X11R6
-bindir      = $(prefix)/bin
 
 all: $(package)
 
-yourself: all # I like Incubus, don't you?
-
 $(package): $(objects)
 	rm -f $(package)
-	$(CC) -o $(package) $(objects) $(LDFLAGS) $(libs)
-	strip $(package)
-	ls -l $(package)
-	size $(package)
+	$(CC) $(CFLAGS) -o $(package) $(objects) $(LDFLAGS)
 
 wmgeneral.o: wmgeneral.c wmgeneral.h
 	rm -f wmgeneral.o
@@ -52,20 +42,10 @@
 	$(CC) $(CPPFLAGS) $(INCLUDES) $(CFLAGS) -c -o dockapp_main.o dockapp_main.c
 
 install:
-	install -c -s -o root -g root -m 755 $(package) $(bindir)
+	install -c -s -o root -g root -m 755 $(package) $(BINDIR)
 
 uninstall:
-	rm -f $(bindir)/$(package)
+	rm -f $(BINDIR)/$(package)
 
 clean:
 	rm -f $(package) $(objects) *~ core core.* gmon.out
-
-iclean:
-	rm -f *~
-
-indent:
-	@for srcf in $(sources) $(headers); do \
-		echo "$(INDENT) $(INDENTFLAGS) $$srcf"; \
-		$(INDENT) $(INDENTFLAGS) $$srcf; \
-	done
-	@make iclean
