## wmmisc 1.2

=== debian/changelog ===
wmmisc (1.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper dependency to >= 11, since that's what is used in
    debian/compat.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Add Rules-Requires-Root (no).
  * debian/rules
    - Use all hardening flags.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add Bug-* fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 23 Sep 2021 06:37:58 -0400

wmmisc (1.2-1) unstable; urgency=medium

  * New maintainer (Closes: #903647).
  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/watch
    - New file; use uscan for upstream tarball.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Remove dpatch from Build-Depends; we will use quilt for any
      future patches.
    - Add libdockapp-dev and pkg-config to Build-Depends.
    - Bump Standards-Version to 4.1.5.
    - Add Homepage field.
    - Add Vcs-* fields.
  * debian/copyright
    - Convert to DEP-5 format.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/patches
    - Remove directory; patches no longer necessary.
  * debian/README.source
    - Remove out-of-date file; we no longer use dpatch.
  * debian/rules
    - Update to use dh.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/upstream/metadata
    - New DEP-12 upstream metadata file.
  * debian/wmmisc.1
    - Remove file; manpage now shipped by upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 12 Jul 2018 12:06:33 -0400

wmmisc (1.1-5) unstable; urgency=low

  * QA upload.
  * debian/control
    - set maintainer to QA Group
    - bump Standards-Version 3.8.0
      + added debian/README.source
    - added ${misc:Depends} to binary package Depends
    - little fixes on short description

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Dec 2008 17:03:02 +0100

wmmisc (1.1-4) unstable; urgency=low

  * debian/control
    - added build-depend against libxext-dev since libx11-dev will no longer
      depends on it (Closes: #458110). Thanks Marco Rodrigues for the report

 -- Sandro Tosi <matrixhasu@gmail.com>  Fri, 28 Dec 2007 18:45:26 +0100

wmmisc (1.1-3) unstable; urgency=low

  * debian/control
    - bump Standard-Version to 3.7.3
    - removed Homepage field since there is no more an upstream author
  * debian/watch
    - removed since there is no more an upstream author (Closes: #453574)
  * debian/menu
    - updated to new menu policy
  * debian/copyright
    - removed upstream homepage since there is no more one
    - clear separation of upstream author, copyright and license
  * debian/patches/10_fix_makefile_parallel.dpatch
    - added to allow parallel build
  * debian/rules
    - changed to allow parallel build (Thanks to Daniel Schepler)

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 27 Dec 2007 16:31:21 +0100

wmmisc (1.1-2) unstable; urgency=low

  * debian/control
    - new maintainer (Closes: #356588)
    - reformat of long description
    - added Homepage
    - push Standards-Version to 3.7.2
  * debian/copyright
    - new maintainer
    - some little re-impagination

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 28 Aug 2006 21:43:39 +0200

wmmisc (1.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Package is orphaned (#356588); set maintainer to Debian QA Group.
  * Acknowledge NMU.  Closes: #332751.
  * Switch to debhelper 5.
  * debian/copyright: Update upstream URL, copyright, and FSF address.
  * debian/menu: Add `hints=Monitoring,Dockapp'.
  * debian/rules:
    - Pass CFLAGS to the Makefile to implement DEB_BUILD_OPTIONS=noopt
      (incidentally making src-generalmk.dpatch unnecessary).
    - Use dh_install rather than `make install' to simplify support for
      DEB_BUILD_OPTIONS=nostrip (incidentally making src-Makefile.dpatch
      unnecessary).
  * debian/watch: Add.
  * src/patch: Remove old copy of src-generalmk.dpatch.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Wed,  5 Apr 2006 09:21:31 +0200

wmmisc (0.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * src/wmgeneral.c (openXwindow): Don't call free() on argv[] data.
    Thanks to Petr Gajdusek for the patch.  Closes: #332751.
  * debian/patches/00list: Add.
  * debian/rules: Fix dpatch rules.

 -- Matej Vela <vela@debian.org>  Thu, 26 Jan 2006 16:24:52 +0100

wmmisc (0.9-2) unstable; urgency=low

  * Removed -march=pentium3 from CFLAGS. (Closes: #274678)

 -- Vince Tantardini <vince@kerneled.net>  Sun,  3 Oct 2004 19:57:00 +0200

wmmisc (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Vincent Tantardini (vince) <vinc@sceen.net>  Sun, 19 Sep 2004 00:55:45 +0200
