=== debian/control ===
Source: wmmisc
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               libdockapp-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 4.6.0
Homepage: https://www.dockapps.net/wmmisc
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmmisc
Vcs-Git: https://salsa.debian.org/wmaker-team/wmmisc.git
Rules-Requires-Root: no

Package: wmmisc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dockapp that monitors your system
 wmmisc is a simple dockapp that monitors the following: the amount of
 users logged in, the total number of processes, the number of running
 (or 'alive') processes, the total number of forks and the system load
 average.
